extends OptionItem

export(PackedScene) var ButtonOption
export(NodePath) var OptionContainer

#func _ready():
func init_options():
	#._ready()
	var options = ProjectSettings.get_setting("vn/settings/option/%s" %name)
	var NewGroup = ButtonGroup.new()
	var OptConObj = get_node_or_null(OptionContainer)
	for i in range(options.size()):
		var NewBtn = ButtonOption.instance()
		NewBtn.group = NewGroup
		NewBtn.text = options[i]
		NewBtn.name = "Option%s" %str(i+1)
		NewBtn.connect("mouse_entered",NewBtn,"grab_focus")
		NewBtn.connect("focus_entered",self,"set_active",[true])
		NewBtn.connect("focus_exited",self,"set_active",[false])
		NewBtn.connect("pressed",self,"set_setting",[i])
		OptConObj.add_child(NewBtn)

func set_value(value):
	current_value = value
	.set_value(value)
