extends Control

class_name SceneBreak

signal started
signal start_ended
signal skipped
signal ended
signal finished

var skip_start = false
var started = false
var auto = false

func skip():
	if started:
		return
	
	started = true
	emit_signal("skipped")

func start(auto_ = false):
	auto = auto_
	print("Black Screen started")
	if started:
		return
	
	started = true
	emit_signal("started")

func start_end():
	print("emitting start_end")
	emit_signal("start_ended")
	if auto:
		yield(get_tree().create_timer(2.0),"timeout")
		end()

func end():
	if not started:
		return
	started = false
	emit_signal("ended")

func finish(param = null):
	emit_signal("finished")
