extends Node

var BGData = []
var CharaData = []
var CGData = []

# Called when the node enters the scene tree for the first time.
func _ready():
	init_bg_data()
	init_chara_data()
	init_cg_data()

func init_bg_data():
	var path = "res://Data/BG/"
	var Dir = Directory.new()
	if Dir.open(path) == OK:
		Dir.list_dir_begin()
		var file_name = Dir.get_next()
		while file_name != "":
			if not Dir.current_is_dir():
				var file_path = path.plus_file(file_name)
				#print(file_path)
				if ResourceLoader.exists(file_path):
					var bg_data = load(file_path)
					if bg_data is DictionaryData:
						BGData.append(bg_data)
			file_name = Dir.get_next()

func init_chara_data():
	var path = "res://Data/BG/"
	var Dir = Directory.new()
	if Dir.open(path) == OK:
		Dir.list_dir_begin()
		var file_name = Dir.get_next()
		while file_name != "":
			if not Dir.current_is_dir():
				var file_path = path.plus_file(file_name)
				#print(file_path)
				if ResourceLoader.exists(file_path):
					var bg_data = load(file_path)
					if bg_data is DictionaryData:
						BGData.append(bg_data)
			file_name = Dir.get_next()

func init_cg_data():
	var path = "res://Data/CG/"
	var Dir = Directory.new()
	if Dir.open(path) == OK:
		Dir.list_dir_begin()
		var file_name = Dir.get_next()
		while file_name != "":
			if not Dir.current_is_dir():
				var file_path = path.plus_file(file_name)
				#print(file_path)
				if ResourceLoader.exists(file_path):
					var cg_data = load(file_path)
					if cg_data is DictionaryData:
						CGData.append(cg_data)
			file_name = Dir.get_next()
