tool
extends EditorPlugin

const MainPanel = preload("res://addons/dialog_editor/MainPanel.tscn")
const DialogIcon = preload("res://addons/dialog_editor/Dialog.svg")

var main_panel_instance

func _enter_tree():
	main_panel_instance = MainPanel.instance()
	
	get_editor_interface().get_editor_viewport().add_child(main_panel_instance)

func _exit_tree():
	main_panel_instance.queue_free()

func has_main_screen():
	return true

func make_visible(visible):
	if visible:
		main_panel_instance.show()
	else:
		main_panel_instance.hide()

func get_plugin_name():
	return "Dialog"

func get_plugin_icon():
	return DialogIcon
