extends Node

export(NodePath) var CenteredNode

onready var Centered:Control = get_node_or_null(CenteredNode)

func _ready():
	connect_canvas()

func connect_canvas():
	if Centered == null:
		return
	Centered.connect("item_rect_changed",self,"recenter")

func recenter():
	var centered_size = Centered.rect_size
	Centered.rect_pivot_offset = centered_size / 2
