extends WindowControl

signal answered(answer)

onready var MsgNode = $Window/Centerer/Panel/List/Message
onready var TitleNode = $Window/Centerer/Panel/List/Title
#onready var AnswerContainer = $Window/Centerer/Panel/List/Answers

func open(msg = "conf_quit", answer = ["btn_yes","btn_no"], default = -1, title = "title_conf"):
	#MsgNode.text = msg
	MsgNode.set_text(msg)
	#TitleNode.text = title
	TitleNode.set_text(title)
	for i in range(answer.size()):
		#var Curr = AnswerContainer.get_child(i)
		var Curr = get_item_parent().get_child(i)
		#print("Ans %s is %s" %[i,answer[i]])
		var AnsLabel = Curr.get_child(0).get_node("Label")
		var AnsLabel2 = Curr.get_child(1).get_node("Label")
		AnsLabel.text = answer[i]
		AnsLabel2.text = answer[i]
	.open()
	#var Focus = AnswerContainer if default < 0 else AnswerContainer.get_child(default)
	var Focus = get_item_parent() if default < 0 else get_item_parent().get_child(default)
	Focus.grab_focus()

func choose_answer(answer):
	close()
	yield(get_window_anim(),"animation_finished")
	emit_signal("answered",answer)
