extends Node

class_name InputReference

export(String) var action
export(bool) var enable_on_default = false

signal action_pressed

func _ready():
	set_active(enable_on_default)

func _input(_event):
	if Input.is_action_just_pressed(action):
		emit_signal("action_pressed")
		print("---->%s pressed on %s/%s" %[action,get_parent().name,name])
	#if event is InputEventAction:
	#	print("Input Event on %s/%s" %[get_parent().name,name])
	#	if event.action == action:
	#		print("%s pressed on %s/%s" %[action,get_parent().name,name])
	#		emit_signal("action_pressed")

func set_active(state):
	print("--Activating %s action %s on %s/%s" %[str(state),action,get_parent().name,name])
	set_process_input(state)
