extends Node

class_name LinkRedirector

enum LinkType {
	Direct,
	ProjectSetting
}

export(LinkType) var link_type = LinkType.ProjectSetting
export(String) var link = ""

func visit():
	var link_open = link
	if link_type == LinkType.ProjectSetting:
		link_open = ProjectSettings.get_setting(link) if ProjectSettings.has_setting(link) else ""
	if link_open != "":
		#print("open link -> %s" %link_open)
		OS.shell_open(link_open)
