extends Node

class_name OnceCall

signal called
signal not_called

func check():
	if Persist.has_called(name):
		emit_signal("called")
	else:
		Persist.add_once_call(name)
		emit_signal("not_called")
