extends Node

export(String) var setting_property
export(bool) var emit_on_ready = false

signal value_emitted(value)

# Called when the node enters the scene tree for the first time.
func _ready():
	if emit_on_ready:
		check()

func check():
	if ProjectSettings.has_setting(setting_property):
		emit_signal("value_emitted",ProjectSettings.get_setting(setting_property))
