tool
extends EditorPlugin

const MainPanel = preload("res://addons/route_editor/MainPanel.tscn")
const RouteIcon = preload("res://addons/route_editor/Route.svg")

var main_panel_instance

func _enter_tree():
	main_panel_instance = MainPanel.instance()
	
	get_editor_interface().get_editor_viewport().add_child(main_panel_instance)

func _exit_tree():
	main_panel_instance.queue_free()

func has_main_screen():
	return true

func make_visible(visible):
	main_panel_instance.visible = visible
#	if visible:
#		main_panel_instance.show()
#	else:
#		main_panel_instance.hide()

func get_plugin_name():
	return "Route"

func get_plugin_icon():
	return RouteIcon
